# Uses of Interface
org.apache.commons.math3.ode.sampling.StepHandler

Packages that use StepHandler
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of StepHandler in org.apache.commons.math3.ode

Classes in org.apache.commons.math3.ode that implement StepHandler
Modifier and Type
Class
Description
`class`
`ContinuousOutputModel`
This class stores all information provided by an ODE integrator during the integration process and build a continuous model of the solution from this.
Fields in org.apache.commons.math3.ode with type parameters of type StepHandler
Modifier and Type
Field
Description
`protected Collection<StepHandler>`
AbstractIntegrator.`stepHandlers`
Step handler.
Methods in org.apache.commons.math3.ode that return types with arguments of type StepHandler
Modifier and Type
Method
Description
`Collection<StepHandler>`
AbstractIntegrator.`getStepHandlers()`
Get all the step handlers that have been added to the integrator.
`Collection<StepHandler>`
ODEIntegrator.`getStepHandlers()`
Get all the step handlers that have been added to the integrator.
Methods in org.apache.commons.math3.ode with parameters of type StepHandler
Modifier and Type
Method
Description
`void`
AbstractIntegrator.`addStepHandler(StepHandler handler)`
Add a step handler to this integrator.
`void`
ODEIntegrator.`addStepHandler(StepHandler handler)`
Add a step handler to this integrator.

## Uses of StepHandler in org.apache.commons.math3.ode.nonstiff

Methods in org.apache.commons.math3.ode.nonstiff with parameters of type StepHandler
Modifier and Type
Method
Description
`void`
GraggBulirschStoerIntegrator.`addStepHandler(StepHandler handler)`
Add a step handler to this integrator.

## Uses of StepHandler in org.apache.commons.math3.ode.sampling

Classes in org.apache.commons.math3.ode.sampling that implement StepHandler
Modifier and Type
Class
Description
`class`
`DummyStepHandler`
This class is a step handler that does nothing.
`class`
`StepNormalizer`
This class wraps an object implementing `FixedStepHandler` into a `StepHandler`.